extends Area

func get_nearest_container():
	var nearby_containers = get_overlapping_areas()
	var nearest_container = null
	var shortest_distance = -1
	for container in nearby_containers:
		var dis = container.global_transform.origin.distance_squared_to(global_transform.origin)
		if dis >= 0 or dis < shortest_distance:
			shortest_distance = dis
			nearest_container = container
	return nearest_container