shader_type spatial;
render_mode unshaded;

uniform sampler2D splash_texture : hint_albedo;
uniform sampler2D dist_texture : hint_albedo;
uniform vec4 splash_color : hint_color;

void fragment(){
	vec2 dist = texture(dist_texture, UV+TIME/5.0).xy / 20.0;
	vec4 sample = texture(splash_texture, UV + dist);
	ALPHA = sample.a * COLOR.x;
	ALPHA = sample.a * COLOR.a;
	ALBEDO = (sample.x * splash_color).xyz;
}