shader_type spatial;
render_mode unshaded, cull_disabled;

uniform vec4 smoke_start_color: hint_color;
uniform vec4 smoke_end_color: hint_color;
uniform sampler2D noise_texture: hint_albedo;

void fragment(){
	float noise = texture(noise_texture, UV).x;
    ALPHA = step(noise, COLOR.x);
	ALPHA_SCISSOR = 0.01;
	ALBEDO = mix(smoke_start_color, smoke_end_color, 1.0-COLOR.x).xyz;
	
}