# shows current frames per second, averaged over last few frames (num_to_avg)

extends Label

var num_to_avg = 5
var last_sev = []

func _process(delta):
	if delta == 0:
		return
	last_sev.append(1 / delta)
	if last_sev.size() > num_to_avg:
		last_sev.pop_front()
	var avg = 0
	for i in last_sev:
		avg += i
	avg /= num_to_avg
	text = "FPS IS: " + str(avg)