# used by the camera that renders the reflection seen in puddles

extends Camera

var main_cam = null
onready var root_parent = get_parent().get_parent()
var ref_obj = null

func _ready():
	ref_obj = root_parent.get_node("RefObj")
	add_to_group("mirror_cameras")

func set_main_cam(cam):
	main_cam = cam
	var new_size = Vector2(ProjectSettings.get_setting("display/window/size/width"), ProjectSettings.get_setting("display/window/size/height"))
	get_parent().size = new_size
	#get_parent().get_parent().get_parent().size = new_size / 3.0
	#get_parent().get_parent().get_parent().get_parent().get_parent().size = new_size

func update():
	if main_cam == null:
		return
	
	root_parent.global_transform.basis.y *= -1
	ref_obj.global_transform = main_cam.global_transform
	root_parent.global_transform.basis.y *= -1
	global_transform = ref_obj.global_transform
	global_transform.basis.x *= -1
