shader_type spatial;
render_mode unshaded;
 
uniform sampler2D refl_tx : hint_albedo;
uniform sampler2D dist_tx : hint_albedo;
 
void fragment() {
	vec2 dist = texture(dist_tx, 2.0*UV + TIME/100.0).xy / 100.0;
    vec3 col = texture(refl_tx, dist + vec2(1.0 - SCREEN_UV.x, SCREEN_UV.y)).rgb;
	ALBEDO = col;
}