# generic container, can be grid or freeform bag, references LootTables for start contents

extends Area

export var loot_table_id = ""
export var clear_save = false
export var dont_save = false

var type = "grid"
var contents = null

func _ready():
	if dont_save:
		remove_from_group("persist")
	type = LootTables.get_table_type(loot_table_id)
	if contents == null or clear_save:
		contents = LootTables.get_table(loot_table_id)

func _save():
	return contents

func _load(loaded_contents):
	if clear_save:
		return
	contents = loaded_contents