extends Spatial

const EMIT_TIME = 0.1
var cur_emit_time = 0.0

onready var particles = $Particles
func _ready():
	particles.emitting = false

func _process(delta):
	cur_emit_time += delta
	if cur_emit_time > EMIT_TIME:
		particles.emitting = false

func fire(_params: Dictionary):
	particles.emitting = true
	cur_emit_time = 0.0